<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [RunningScript](./bitburner.runningscript.md) &gt; [parent](./bitburner.runningscript.parent.md)

## RunningScript.parent property

Process ID of the parent process.

If this script was started by another script, this will be the PID of that script. If this script was started directly through the terminal, the value will be 0.

**Signature:**

```typescript
parent: number;
```
